/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.itest.databindings.jaxb;


/**
 * The interface for PrimitivesServiceClient.
 * 
 * @version $Rev: 673368 $ $Date: 2008-07-02 12:51:24 +0100 (Wed, 02 Jul 2008) $
 */
public interface PrimitivesServiceClient {
    boolean negateBooleanForward(boolean flag);
    boolean[] negateBooleanArrayForward(boolean[] flags);
    boolean passByValueBooleanArray();
    byte negateByteForward(byte b);
    byte[] negateByteArrayForward(byte[] ba);
    boolean passByValueByteArray();
    short negateShortForward(short s);
    short[] negateShortArrayForward(short[] sa);
    boolean passByValueShortArray();
    int negateIntForward(int i);
    int[] negateIntArrayForward(int[] ia);
    boolean passByValueIntArray();
    long negateLongForward(long l);
    long[] negateLongArrayForward(long[] la);
    boolean passByValueLongArray();
    float negateFloatForward(float f);
    float[] negateFloatArrayForward(float[] fa);
    boolean passByValueFloatArray();
    double negateDoubleForward(double d);
    double[] negateDoubleArrayForward(double[] da);
    boolean passByValueDoubleArray();
}
