/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.itest.jaxbdatabinding;

import org.apache.tuscany.sca.itest.jaxbdatabinding.generated.PersonType;
import org.apache.tuscany.sca.itest.jaxbdatabinding.generated.AttributeComplexType;
import org.apache.tuscany.sca.itest.jaxbdatabinding.generated.AttributeReferenceComplexType;
import org.apache.tuscany.sca.itest.jaxbdatabinding.generated.SimpleTypeWithAbstractComplexType;
import org.apache.tuscany.sca.itest.jaxbdatabinding.generated.SimpleTypeWithNameComplexType;
import org.apache.tuscany.sca.itest.jaxbdatabinding.generated.ComplexTypeWithContentType;

import org.osoa.sca.annotations.AllowsPassByReference;

/**
 * GreeterServiceClient
 */
@AllowsPassByReference
public interface GreeterServiceClient {
    PersonType greetPersonType(PersonType param);
    AttributeComplexType greetAttributeComplexType(AttributeComplexType param);
    AttributeReferenceComplexType greetAttributeReferenceComplexType(AttributeReferenceComplexType param);
    SimpleTypeWithAbstractComplexType greetSimpleTypeWithAbstractComplexType(SimpleTypeWithAbstractComplexType param);
    SimpleTypeWithNameComplexType greetSimpleTypeWithNameComplexType(SimpleTypeWithNameComplexType param);
    ComplexTypeWithContentType greetComplexTypeWithContentType(ComplexTypeWithContentType param);
}
