/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package composite;

import org.apache.tuscany.sca.host.embedded.SCADomain;

/**
 * Simple client program that invokes the components that we wired together.
 *
 * @version $Rev: 538806 $ $Date: 2007-05-17 06:21:15 +0100 (Thu, 17 May 2007) $
 */
public class CompositeClient {

    public static void main(String[] args) throws Exception {
    	SCADomain domain = SCADomain.newInstance("OuterComposite.composite");
    	
        Source source = domain.getService(Source.class, "SourceComponent");
        
        System.out.println("Main thread " + Thread.currentThread());
        source.clientMethod("Client.main");
        Thread.sleep(500);
        
        domain.close();
    }
}
