/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.implementation.widget.provider;

import java.util.HashMap;
import java.util.Map;

/**
 *
 * @version $Rev: 707769 $ $Date: 2008-10-24 23:32:21 +0100 (Fri, 24 Oct 2008) $
 */
class WidgetProxyHelper {
    private static Map<String, String[]> proxyFileRegistry = new HashMap<String, String[]>();
    private static Map<String, String> proxyClient = new HashMap<String, String>();

    static {
        proxyFileRegistry.put("org.apache.tuscany.sca.binding.atom.impl.AtomBindingImpl", new String[]{ "binding-atom.js", "atomModel.js"});
        proxyClient.put("org.apache.tuscany.sca.binding.atom.impl.AtomBindingImpl", "AtomClient");

        proxyFileRegistry.put("org.apache.tuscany.sca.binding.jsonrpc.impl.JSONRPCBindingImpl", new String[]{"binding-jsonrpc.js"});
        proxyClient.put("org.apache.tuscany.sca.binding.jsonrpc.impl.JSONRPCBindingImpl", "JSONRpcClient");

        proxyFileRegistry.put("org.apache.tuscany.sca.binding.http.impl.HTTPBindingImpl", new String[]{"binding-http.js"});
        proxyClient.put("org.apache.tuscany.sca.binding.http.impl.HTTPBindingImpl", "HTTPClient");
    }
    
    static String [] getJavaScriptProxyFile(String bindingClass) {
        return proxyFileRegistry.get(bindingClass);
    }
    
    static String getJavaScriptProxyClient(String bindingClass) {
        return proxyClient.get(bindingClass);
    }
}
