/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package location;

import org.osoa.sca.annotations.AllowsPassByReference;
import org.osoa.sca.annotations.Reference;
import org.osoa.sca.annotations.Service;

import com.example.uszip.USZipSoap;
import com.example.uszip.GetInfoByAreaCodeResponse.GetInfoByAreaCodeResult;
import com.example.uszip.GetInfoByCityResponse.GetInfoByCityResult;
import com.example.uszip.GetInfoByStateResponse.GetInfoByStateResult;
import com.example.uszip.GetInfoByZIPResponse.GetInfoByZIPResult;

/**
 * @version $Rev: 644117 $ $Date: 2008-04-03 01:23:13 +0100 (Thu, 03 Apr 2008) $
 */
@Service(USZipSoap.class)
@AllowsPassByReference
public class USLocationImpl implements USZipSoap {
    @Reference
    protected USZipSoap usZipService;
    
    public GetInfoByAreaCodeResult getInfoByAreaCode(String usAreaCode) {
        return usZipService.getInfoByAreaCode(usAreaCode);
    }

    public GetInfoByCityResult getInfoByCity(String usCity) {
        return usZipService.getInfoByCity(usCity);
    }

    public GetInfoByStateResult getInfoByState(String usState) {
        return usZipService.getInfoByState(usState);
    }

    public GetInfoByZIPResult getInfoByZIP(String usZip) {
        return usZipService.getInfoByZIP(usZip);
    }
}
